within Sankey.Examples;
model Dummy
  extends Modelon.Icons.Experiment;
  Node node(id=1, label="A")
    annotation (Placement(transformation(extent={{-86,20},{-66,40}})));
  Link link1(value=1, label="AB")
    annotation (Placement(transformation(extent={{-50,28},{-30,48}})));
  Link link2(value=3, label="CD")
    annotation (Placement(transformation(extent={{26,10},{46,30}})));
  Link link5(value=0.5,
                      label="BD")
    annotation (Placement(transformation(extent={{26,28},{46,48}})));
  Node node2(id=2, label="B")
    annotation (Placement(transformation(extent={{-10,20},{10,40}})));
  Node node3(id=3, label="C")
    annotation (Placement(transformation(extent={{-10,-20},{10,0}})));
  Node node5(id=4, label="D")
    annotation (Placement(transformation(extent={{60,20},{80,40}})));
  Link link6(value=2, label="AC")
    annotation (Placement(transformation(extent={{-50,8},{-30,28}})));
  Link link3(value=1, label="AB2")
    annotation (Placement(transformation(extent={{-50,46},{-30,66}})));
  Node node1(id=5, label="A2")
    annotation (Placement(transformation(extent={{-86,-20},{-66,0}})));
  Link link4(value=1, label="A2B")
    annotation (Placement(transformation(extent={{-50,-20},{-30,0}})));
  Link link7(value=0.5,
                      label="AB2")
    annotation (Placement(transformation(extent={{-120,54},{-100,74}})));
equation
  connect(node.sankeyPort, link1.source) annotation (Line(points={{-76,30},
          {-62,30},{-62,38},{-50,38}}, color={0,0,0}));
  connect(link1.target, node2.sankeyPort) annotation (Line(points={{-30,38},{-20,
          38},{-20,30},{0,30}}, color={0,0,0}));
  connect(node.sankeyPort, link6.source) annotation (Line(points={{-76,30},
          {-62,30},{-62,18},{-50,18}}, color={0,0,0}));
  connect(node2.sankeyPort, link5.source) annotation (Line(points={{0,30},{
          18,30},{18,38},{26,38}}, color={0,0,0}));
  connect(link5.target, node5.sankeyPort)
    annotation (Line(points={{46,38},{60,38},{60,30},{70,30}}, color={0,0,0}));
  connect(link6.target, node3.sankeyPort) annotation (Line(points={{-30,18},{-20,
          18},{-20,-10},{0,-10}}, color={0,0,0}));
  connect(link2.target, node5.sankeyPort)
    annotation (Line(points={{46,20},{60,20},{60,30},{70,30}}, color={0,0,0}));
  connect(node3.sankeyPort, link2.source)
    annotation (Line(points={{0,-10},{26,-10},{26,20}}, color={0,0,0}));
  connect(node.sankeyPort, link3.source) annotation (Line(points={{-76,30},
          {-62,30},{-62,56},{-50,56}}, color={0,0,0}));
  connect(node1.sankeyPort, link4.source)
    annotation (Line(points={{-76,-10},{-50,-10}}, color={0,0,0}));
  connect(link4.target, node3.sankeyPort)
    annotation (Line(points={{-30,-10},{0,-10}}, color={0,0,0}));
  connect(link3.target, node5.sankeyPort) annotation (Line(points={{-30,56},
          {60,56},{60,30},{70,30}}, color={0,0,0}));
  connect(node2.sankeyPort, link7.source) annotation (Line(points={{0,30},{
          0,80},{-128,80},{-128,64},{-120,64}}, color={0,0,0}));
  connect(link7.target, node.sankeyPort) annotation (Line(points={{-100,64},
          {-94,64},{-94,30},{-76,30}}, color={0,0,0}));
  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
        coordinateSystem(preserveAspectRatio=false)));
end Dummy;
