within Sankey;
model Node "Component to describe a Sankey Node"
  parameter Integer id = 1 "ID of node";
  parameter String label = "" "Label of the node: __Node__";
  Base.SankeyPort sankeyPort
    annotation (Placement(transformation(extent={{-40,-40},{40,40}})));
equation
  sankeyPort.id = id;

    annotation (Placement(transformation(extent={{-10,-10},{10,10}}),
        iconTransformation(extent={{-40,-40},{40,40}})),
              Icon(coordinateSystem(preserveAspectRatio=false), graphics={
          Rectangle(
          extent={{-40,100},{40,-100}},
          lineColor={0,0,0},
          fillColor={85,170,255},
          fillPattern=FillPattern.Solid), Text(
          extent={{-40,-108},{40,-128}},
          lineColor={0,0,0},
          fillColor={85,170,255},
          fillPattern=FillPattern.Solid,
          textString="%label")}),           Diagram(coordinateSystem(
          preserveAspectRatio=false)));
end Node;
